Skip to main content
POST
/
admin
/
v1
/
networks
/
{network_id}
/
assets
Upload a new asset (image or file)
curl --request POST \
  --url https://api.mn.co/admin/v1/networks/{network_id}/assets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form asset_style=avatar \
  --form asset_file='@example-file' \
  --form 'source_url=<string>' \
  --form 'input_type=<string>' \
  --form 'original_aspect_ratio=<string>' \
  --form 'metadata={}'
{
  "id": "1234",
  "type": "<string>",
  "url": "<string>",
  "name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

multipart/form-data

Submit as multipart/form-data

asset_style
enum<string>

The style/purpose of the asset

Available options:
avatar,
avatar_suggestion,
header_suggestion,
avatar_dark_mode,
thumbnail,
square_thumbnail,
bundle_description,
landing_page_background,
landing_page_video,
customer_site_logo,
space_avatar,
space_description,
brand_banner_on_color,
brand_banner_on_white,
brand_banner_dark_mode,
background_image_banner,
background_image_banner_fixed_ratio,
post_description,
landing_page_description,
cover,
post,
comment,
file,
header,
cinema_header,
profile_prompt_answer,
new_member_pitch,
embedded_link,
user_cover,
video,
course_video,
live_mp4_recording,
live_mp4_recording_backup,
comment_video,
ai_interaction,
automation_action_image,
landing_page_content,
seo_image,
voice_note
asset_file
file

The file to upload

source_url
string<url>

URL to download asset from (alternative to asset_file)

input_type
string
deprecated

Deprecated - do not use

original_aspect_ratio
string

Original aspect ratio of the asset

metadata
object

Additional metadata for the asset (e.g., is_main_image, is_video_image)

Response

The created asset object

File or media asset attached to content

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

type
string
required

The type of asset (Asset, StaticAsset, etc.)

url
string<url>

URL to access the asset

name
string

Original filename of the asset